Examples: query, "exact match", wildcard*, wild?ard, wild*rd
Fuzzy search: cake~ (finds cakes, bake)
Term boost: "red velvet"^4, chocolate^2
Field grouping: tags:(+work -"fun-stuff")
Escaping: Escape characters +-&|!(){}[]^"~*?:\ with \, e.g. \+
Range search: properties.timestamp:[1587729413488 TO *] (inclusive), properties.title:{A TO Z}(excluding A and Z)
Combinations: chocolate AND vanilla, chocolate OR vanilla, (chocolate OR vanilla) NOT "vanilla pudding"
Field search: properties.title:"The Title" AND text
Answered
We See That The Pipeline Task Install “Protobuf==4.21.1” How Can This Be Controlled?

We see that the pipeline task install “protobuf==4.21.1”
How can this be controlled?

  
  
Posted 2 years ago
Votes Newest

Answers 8


Works locally but not when running inside agent.
I found that adding the:
Task.add_requirements('protobuf', '<=3.20.1')before the pipeline decorator it works

  
  
Posted 2 years ago

I use the decorators method and there is no “packages” param to the pipeline decorator, i added it to the task decorator “packages” param but it didn’t help

  
  
Posted 2 years ago

Where should i put this line? inside the pipeline function?

  
  
Posted 2 years ago

thanks

  
  
Posted 2 years ago

if you are using add_function_step you can pass packages=["protobuf<=3.20.1"]
(there is an example in the sdk docs https://clear.ml/docs/latest/docs/references/sdk/automation_controller_pipelinecontroller#add_function_step-1 )

  
  
Posted 2 years ago

https://clear.ml/docs/latest/docs/references/sdk/automation_controller_pipelinecontroller#pipelinedecoratorcomponent

which clearml version are you using? did you add it and re run it without clearml-agent?

  
  
Posted 2 years ago

I am getting this error:
clearml.task - WARNING - Requirement ignored, Task.add_requirements() must be called before Task.init()

  
  
Posted 2 years ago